<?xml version="1.0"?>

<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">
    <body>
        <referenceBlock name="invoice_totals">
            <block class="Bloyal\Calculatecart\Block\Adminhtml\Sales\Order\Invoice\Totals"
                   name="bloyal_discount" as="bloyal_discount"/>
			<block class="Bloyal\Calculatecart\Block\Adminhtml\Sales\Order\Invoice\GiftcardTotals"
                   name="giftcard_amount_used" as="giftcard_amount_used"/>
		   <block class="Bloyal\Calculatecart\Block\Adminhtml\Sales\Order\Invoice\LoyaltyTotals"
		   name="loyalty_dollar_used" as="loyalty_dollar_used"/>
        </referenceBlock>
    </body>
</page>